--- chan_sip.original.1.6.0-beta9.c     2008-05-14 15:13:18.000000000 +0200
+++ chan_sip.c  2008-06-12 09:33:30.000000000 +0200
@@ -6219,6 +6219,18 @@
                return req->lines ? 1 : 0;
        }

+//begin of added code
+        /* specific patch fo MS Office Mediation Server 2007, which send us
+          content_type=application/sdp; charset=utf-8
+        */
+        if (!strcasecmp(content_type, "application/sdp; charset=utf-8")) {
+                ast_log(LOG_WARNING, "Found SIP Header with charset=utf-8  %s\n", content_type);
+                req->sdp_start = 0;
+                req->sdp_end = req->lines;
+                return req->lines ? 1 : 0;
+        }
+//end of added code
+
        /* if it's not multipart/mixed, there cannot be an SDP */
        if (strncasecmp(content_type, "multipart/mixed", 15))
                return 0;
